StdOutFormatTarget Class Reference
Inheritance diagram for StdOutFormatTarget:

## constructors and destructor

| StdOutFormatTarget ()
| ~StdOutFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
virtual void | flush ()

## Additional Inherited Members

Public Member Functions inherited from XMLFormatTarget
virtual | ~XMLFormatTarget ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...
Protected Member Functions inherited from XMLFormatTarget
| XMLFormatTarget ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## StdOutFormatTarget()

StdOutFormatTarget::StdOutFormatTarget | ( |  | ) |

## ~StdOutFormatTarget()

StdOutFormatTarget::~StdOutFormatTarget | ( |  | ) |

## Member Function Documentation

## flush()

virtual void StdOutFormatTarget::flush | ( |  | ) |

virtual

Reimplemented from XMLFormatTarget.

## writeChars()

virtual void StdOutFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter
| ) |  |

virtual

Implements XMLFormatTarget.

The documentation for this class was generated from the following file:

- StdOutFormatTarget.hpp